POST ticket/clubcard/payMovieTicket/{appId}/{auth}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| appId | integer |
Required |
|
| auth | string |
Required |
Body Parameters
PayMovieTicketByClubcardRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| clubcardId | globally unique identifier |
None. |
|
| ticketId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"clubcardId": "b9d6fd85-3058-4fe5-bb15-64ba580987ae",
"ticketId": "02ccd9fa-d341-49f5-9cdc-2efab67580d4"
}
application/xml, text/xml
Sample:
<PayMovieTicketByClubcardRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models"> <clubcardId>b9d6fd85-3058-4fe5-bb15-64ba580987ae</clubcardId> <ticketId>02ccd9fa-d341-49f5-9cdc-2efab67580d4</ticketId> </PayMovieTicketByClubcardRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
PayByClubcardResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| result | ClubcardResult |
None. |
|
| itemType | integer |
None. |
|
| objectId | globally unique identifier |
None. |
|
| paymentId | globally unique identifier |
None. |
|
| downloadPage | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"result": {
"code": 0,
"message": "sample string 1"
},
"itemType": 1,
"objectId": "81203b9c-3591-44a4-877d-feee0ea961de",
"paymentId": "5d03f676-08f8-4e09-89d0-ebbd345a0810",
"downloadPage": "sample string 4"
}
application/xml, text/xml
Sample:
<PayByClubcardResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models">
<downloadPage>sample string 4</downloadPage>
<itemType>1</itemType>
<objectId>81203b9c-3591-44a4-877d-feee0ea961de</objectId>
<paymentId>5d03f676-08f8-4e09-89d0-ebbd345a0810</paymentId>
<result>
<code>OK</code>
<message>sample string 1</message>
</result>
</PayByClubcardResponse>